Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JToggleButton.AccessibleJToggleButton

    java.lang.Object
      |
      +--javax.accessibility.AccessibleContext
            |
            +--java.awt.Component.AccessibleAWTComponent
                  |
                  +--java.awt.Container.AccessibleAWTContainer
                        |
                        +--javax.swing.JComponent.AccessibleJComponent
                              |
                              +--javax.swing.AbstractButton.AccessibleAbstractButton
                                    |
                                    +--javax.swing.JToggleButton.AccessibleJToggleButton

All Implemented Interfaces:
  AccessibleAction, AccessibleComponent, AccessibleText, AccessibleValue, EventListener, ItemListener, Serializable

Direct Known Subclasses:
  JCheckBox.AccessibleJCheckBox, JRadioButton.AccessibleJRadioButton

Enclosing class:
  JToggleButton

protected class JToggleButton.AccessibleJToggleButton
extends AbstractButton.AccessibleAbstractButton
implements ItemListener

This class implements accessibility support for the `JToggleButton` class. It provides an implementation of the Java Accessibility API appropriate to toggle button user-interface elements.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JComponent.AccessibleJComponent
`JComponent.AccessibleJComponent.AccessibleContainerHandler, JComponent.AccessibleJComponent.AccessibleFocusHandler`

Inner classes inherited from class java.awt.Container.AccessibleAWTContainer
`Container.AccessibleAWTContainer.AccessibleContainerHandler`

Inner classes inherited from class java.awt.Component.AccessibleAWTComponent
`Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`

Fields inherited from class javax.swing.JComponent.AccessibleJComponent
`accessibleContainerHandler, accessibleFocusHandler`

Fields inherited from class java.awt.Component.AccessibleAWTComponent
`accessibleAWTComponentHandler, accessibleAWTFocusHandler`

Fields inherited from class javax.accessibility.AccessibleContext
`ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

Fields inherited from interface javax.accessibility.AccessibleText
`CHARACTER, SENTENCE, WORD`

Constructor Summary
`JToggleButton.AccessibleJToggleButton()`

Method Summary
`AccessibleRole` | `getAccessibleRole()` Get the role of this object.
`void` | `itemStateChanged(ItemEvent e)` Fire accessible property change events when the state of the toggle button changes.

Methods inherited from class javax.swing.AbstractButton.AccessibleAbstractButton
`doAccessibleAction, getAccessibleAction, getAccessibleActionCount, getAccessibleActionDescription, getAccessibleIcon, getAccessibleName, getAccessibleRelationSet, getAccessibleStateSet, getAccessibleText, getAccessibleValue, getAfterIndex, getAtIndex, getBeforeIndex, getCaretPosition, getCharacterAttribute, getCharacterBounds, getCharCount, getCurrentAccessibleValue, getIndexAtPoint, getMaximumAccessibleValue, getMinimumAccessibleValue, getSelectedText, getSelectionEnd, getSelectionStart, setCurrentAccessibleValue`

Methods inherited from class javax.swing.JComponent.AccessibleJComponent
`addPropertyChangeListener, getAccessibleChild, getAccessibleChildrenCount, getAccessibleDescription, getBorderTitle, removePropertyChangeListener`

Methods inherited from class java.awt.Container.AccessibleAWTContainer
`getAccessibleAt`

Methods inherited from class java.awt.Component.AccessibleAWTComponent
`addFocusListener, contains, getAccessibleComponent, getAccessibleIndexInParent, getAccessibleParent, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

Methods inherited from class javax.accessibility.AccessibleContext
`firePropertyChange, getAccessibleSelection, getAccessibleTable, setAccessibleDescription, setAccessibleName, setAccessibleParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JToggleButton.AccessibleJToggleButton

    public JToggleButton.AccessibleJToggleButton()

Method Detail

### itemStateChanged

    public void itemStateChanged(ItemEvent e)

  Fire accessible property change events when the state of the toggle button changes.
  Specified by:
    `itemStateChanged` in interface `ItemListener`

### getAccessibleRole

    public AccessibleRole getAccessibleRole()

  Get the role of this object.
  Overrides:
    `getAccessibleRole` in class `JComponent.AccessibleJComponent`
  Returns:
    an instance of AccessibleRole describing the role of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.